Skip to main content
GET
/
v1
/
users
/
{userId}
Get
curl --request GET \
  --url https://api.cadanapay.com/v1/users/{userId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/users/{userId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "firstName": "John",
  "lastName": "Doe",
  "email": "<string>",
  "phoneNumber": {
    "countryCode": "1",
    "number": "2345678901"
  },
  "metadata": {
    "customField1": "value1",
    "customField2": "value2"
  },
  "id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
  "personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
  "status": "active"
}
{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Response

get user response

firstName
string
required

Person's first name

Example:

"John"

lastName
string
required

Person's last name

Example:

"Doe"

email
string
required

Person's email

phoneNumber
object

Person's phone number

metadata
object

Optional metadata you can store as key-value pairs

Example:
{
"customField1": "value1",
"customField2": "value2"
}
id
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

personId
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

status
enum<string>

kyc status

Available options:
invitation_sent,
blocked
Example:

"active"